<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="合同附加要求">
       <query id="IAddAskDao.getAddAskStatus" desc="查询附加要求状态">  
             <![CDATA[ 
           SELECT T.ADD_ASK_STATUS
             FROM SLM_ORDER_ADD_ASK T
            WHERE T.ADD_ASK_NO = ?
              AND T.VALIDFLAG = 1
                     ]]>
	   </query>
	   
	   <query id="IAddAskDao.getOrderAddAsk" desc="获取客户附加要求">  
             <![CDATA[ 
 SELECT *
   FROM SLM_ORDER_ADD_ASK T
  WHERE T.ADD_ASK_NO = {0}
    AND T.VALIDFLAG = '1'
              ]]>
	   </query>
	   
	   <query id="IAddAskDao.getStdAddAsk" desc="获取标准附加要求">  
             <![CDATA[ 
SELECT * FROM COM_BASE_ADDITIONAL T WHERE T.STD_CODE = {0} AND T.VALIDFLAG = '1'
              ]]>
	   </query>
	   
	   <query id="IAddAskDao.getBaseAddAsk" desc="获取基础附加要求">  
             <![CDATA[ 
SELECT * FROM SLM_BASE_ADD_ASK T WHERE T.ASK_ITEM_NO = {0}
              ]]>
	   </query>
	   
	   <query id="IAddAskDao.getDesignAddAskSts" desc="获取附加要求评审状态">  
             <![CDATA[ 
SELECT * FROM SLM_ORD_DESIGN_ADD_ASK_STS T WHERE T.ORD_LN_PK = {0}
              ]]>
	   </query>
</queryMap>